<?php
$items = $this->items;
?>

<? $this->headScript()
	->appendFile(_st('review-comment-popup.js'), 'text/javascript')
?>
<style type="text/css">
.siu-block {
	background: #FFF;
}
</style>
<link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" />

<script type="text/javascript">
	window.addEvent('domready', function(){
		$$('.add-comment').addEvent('click', function(e){
			var self = this;
			e.stop();
			Cubix.Popup.url = self.get('href');
			Cubix.Popup.Show('489', '652');
		});
	});
</script>

<div class="i">
	<? if ($items): ?>
	<div class="guide-content">
		<table cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
			<tr>
				<td colspan="7"><a href="<?= $this->getLink('escort-reviews', array('showname' => $items[0]['showname'], 'escort_id' => $items[0]['escort_id'])) ?>"><?= $this->t('see_all_reviews') ?></a></td>
			</tr>
			<tr class="tableHeader">
				<th style="width: 65px;"><?= $this->t('number') ?></th>
				<th><?= $this->t('date') ?></th>
				<th><?= $this->t('member') ?></th>
				<th><?= $this->t('agency') ?></th>
				<th><?= $this->t('city') ?></th>
				<th><?= $this->t('fuckometer') ?></th>
				<th style="width: 90px;"><?= $this->t('comment') ?></th>
			</tr>
			<?php $i = 1; ?>
			<?php foreach ($items as $item): ?>
				<?php $f_r = explode('|', $item['fuckometer_rank']); $last = intval(end($f_r)); ?>
				<tr class="center">
					<td><?= $i ?></td>
					<td><?= $item['creation_date'] ? date('d M Y', $item['creation_date']) : '-' ?></td>
					<td><a href="<?= $this->getLink('member-reviews', array('username' => $item['username'])) ?>"><?= $item['username'] ?></a></td>
					<td><?= $item['agency_name'] ? $item['agency_name'] : 'Independent' ?></td>
					<td><?= $item['city_title'] ?></td>
					<td><?= $item['fuckometer'] ?></td>
					<td><? if ($item['escort_comment']): ?><?= $this->t('commented') ?><? else: ?><a href="<?= $this->getLink('add-review-comment') ?>?review_id=<?= $item['id'] ?>" class="add-comment"><?= $this->t('rev_add_comment') ?></a><? endif; ?></td>
				</tr>
				<?php $i ++; ?>
			<?php endforeach; ?>
		</table>
	</div>
	<? else: ?>
		<?= $this->t('msg_no_review') ?>
	<? endif; ?>
</div>